Bug 28044 - Calendar: Tables with closed days are no longer color coded
Summary: Calendar: Tables with closed days are no longer color coded
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-03-27 14:52 UTC by Katrin Fischer
Modified: 2021-04-25 17:17 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
21.05.00,20.11.05,20.05.11


Attachments
Bug 28044: Increase specificity of calendar tables CSS (6.79 KB, patch)
2021-03-29 11:07 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 28044: Increase specificity of calendar tables CSS (6.83 KB, patch)
2021-03-31 18:44 UTC, David Nind
Details | Diff | Splinter Review
Bug 28044: Increase specificity of calendar tables CSS (6.89 KB, patch)
2021-04-02 16:19 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2021-03-27 14:52:23 UTC
Maybe I missed a recent change here, but the tables on the calendar page no longer appear color coded. When you reload the page, you can see the color is there for a second and then disappears.
Comment 1 Owen Leonard 2021-03-29 11:07:39 UTC
Created attachment 118947 [details] [review]
Bug 28044: Increase specificity of calendar tables CSS

This patch adds increased specificity to the CSS which should add colors
to the tables of holidays. The default DataTable CSS was overriding the
custom color-coding.

This patch also moves the calendar CSS into a separate file.

To test, apply the patch and go to Tools -> Calendar.

If necessary, add at least one of the following:
- Unique holiday
- Holiday repeating weekly
- Holiday repeating monthly
- Holiday exception

In the table listing each kind of holiday, the color of the table header
should match the colors in the "Key" section under Hints. The color
should be correct regardless of how the table is sorted.
Comment 2 David Nind 2021-03-31 18:44:43 UTC
Created attachment 119058 [details] [review]
Bug 28044: Increase specificity of calendar tables CSS

This patch adds increased specificity to the CSS which should add colors
to the tables of holidays. The default DataTable CSS was overriding the
custom color-coding.

This patch also moves the calendar CSS into a separate file.

To test, apply the patch and go to Tools -> Calendar.

If necessary, add at least one of the following:
- Unique holiday
- Holiday repeating weekly
- Holiday repeating monthly
- Holiday exception

In the table listing each kind of holiday, the color of the table header
should match the colors in the "Key" section under Hints. The color
should be correct regardless of how the table is sorted.

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Katrin Fischer 2021-04-02 16:19:13 UTC
Created attachment 119138 [details] [review]
Bug 28044: Increase specificity of calendar tables CSS

This patch adds increased specificity to the CSS which should add colors
to the tables of holidays. The default DataTable CSS was overriding the
custom color-coding.

This patch also moves the calendar CSS into a separate file.

To test, apply the patch and go to Tools -> Calendar.

If necessary, add at least one of the following:
- Unique holiday
- Holiday repeating weekly
- Holiday repeating monthly
- Holiday exception

In the table listing each kind of holiday, the color of the table header
should match the colors in the "Key" section under Hints. The color
should be correct regardless of how the table is sorted.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2021-04-06 13:59:41 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 5 Fridolin Somers 2021-04-15 11:03:01 UTC
Pushed to 20.11.x for 20.11.05
Comment 6 Victor Grousset/tuxayo 2021-04-25 17:17:06 UTC
Fixed info about backport to oldstable, 20.05
Comment 7 Victor Grousset/tuxayo 2021-04-25 17:17:15 UTC
Not backported to oldoldstable (19.11.x). Feel free to ask if it's needed.